Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class DataRef

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.util.QTHandle
                        |
                        +--quicktime.std.movies.media.DataRef

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class DataRef
extends QTHandle
implements quicktime.jdirect.QuickTimeLib

The DataRef class implements the data reference structure of the Movie Toolbox.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`DataRef(AliasHandle a)` This constructor creates a DataRef that represents an AliasHandle.
`DataRef(QTFile f)` This constructor creates a DataRef that represents a QTFile.
`DataRef(QTHandleRef handle)` This constructor creates a DataRef that references the given QTHandle so the dataRefType is a handle DataRef ('hndl').
`DataRef(QTHandleRef handle, int hintFlag, java.lang.String hintString)` This constructor creates a DataRef that references the given QTHandle so the dataRefType is a handle DataRef ('hndl').
`DataRef(java.lang.String url)` This constructor creates a DataRef that represents any URL.

Method Summary
`static DataRef` | `fromGraphicsExporterInputDataRef(GraphicsExporter ge)` This method returns a copy of a data reference.
`static DataRef` | `fromGraphicsExporterOutputDataRef(GraphicsExporter ge)` This method returns a copy of a data reference.
`static DataRef` | `fromMedia(Media m, int index)` This method returns a copy of a specified data reference.
`static DataRef` | `fromMovie(Movie m)` This method allows your application to get the default data reference for the movie.
`static DataRef` | `fromSequenceGrabber(SequenceGrabber sg)` Determines the data reference that is currently assigned to a sequence grabber component.
`static DataRef` | `fromSGOutput(SequenceGrabber sg, SGOutput output)` QuickTime::SGGetOutputDataReference(
`int` | `getAttributes()` This method returns the data reference attributes.
`int` | `getType()` This method returns the data reference type.
`java.lang.String` | `getUniversalResourceLocator()` Returns a string representating the location of this object.

Methods inherited from class quicktime.util.QTHandle
`clone, concatenate, fromEncodedImage, fromGraphicsExporterInput, fromGraphicsExporterOutput, fromGraphicsExporterText, fromGraphicsImporterAlias, fromGraphicsImporterData, fromSoundDescription, fromTimeCoderCurrent, fromTimeCoderSource, fromTimeCoderTime, fromTrack, reserveMemory, setSize`

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, getSize, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, toString, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataRef

    public DataRef(java.lang.String url)
            throws QTException

  This constructor creates a DataRef that represents any URL. If there is no DataHandler for this URL an invalidDataRef exception is thrown
  Parameters:
    `url` - the URL that is used to create a DataReference.

### DataRef

    public DataRef(QTFile f)
            throws QTException

  This constructor creates a DataRef that represents a QTFile.
  Parameters:
    `file` - the QTFile that is used to create a DataReference.

### DataRef

    public DataRef(AliasHandle a)
            throws java.io.IOException,
                   QTException

  This constructor creates a DataRef that represents an AliasHandle.
  Parameters:
    `a` - the AliasHandle that is reference by this DataRef.

### DataRef

    public DataRef(QTHandleRef handle)
            throws QTException

  This constructor creates a DataRef that references the given QTHandle so the dataRefType is a handle DataRef ('hndl').
  Parameters:
    `handle` - Specifies the data (a handle) that this reference should point to.

### DataRef

    public DataRef(QTHandleRef handle,
                   int hintFlag,
                   java.lang.String hintString)
            throws QTException

  This constructor creates a DataRef that references the given QTHandle so the dataRefType is a handle DataRef ('hndl'). Hints can be given to QuickTime (and should if at all possible) about the format of the data that is contained within the handle. Hints can take one of three forms
  - MIME Type -> kDataRefMimeTypeTag
  - MacOS File Type -> kDataRefQTFileTypeTag
  - File extension -> kDataRefFileExtensionTag
  The preferred usage is to pass in either the MacOS File Type (which will also work on non-MacOS platforms) or the MIME type information. The File extension is a more arbitrary indicator and should be the least referred to. If the hint information is not specified a paramErr exception is thrown
  Parameters:
    `handle` - Specifies the data (a handle) that this reference should point to.
    `hintFlag` - describes the hint data that is used
    `hintString` - contains the hint information

Method Detail

### fromGraphicsExporterInputDataRef

    public static DataRef fromGraphicsExporterInputDataRef(GraphicsExporter ge)
                                                    throws QTException

  This method returns a copy of a data reference.
  QuickTime::GraphicsExportGetInputDataReference()

  Returns:
    a copy of a data reference from the graphics exporter component.
  See Also:
    `quicktime.std.image.GraphicsExporter.getInputDataReference`

### fromGraphicsExporterOutputDataRef

    public static DataRef fromGraphicsExporterOutputDataRef(GraphicsExporter ge)
                                                     throws QTException

  This method returns a copy of a data reference.
  QuickTime::GraphicsExportGetOutputDataReference()

  Returns:
    a copy of a data reference from the graphics exporter component.
  See Also:
    `quicktime.std.image.GraphicsExporter.getOutputDataReference`

### fromMovie

    public static DataRef fromMovie(Movie m)
                             throws QTException

  This method allows your application to get the default data reference for the movie.
  QuickTime::GetMovieDefaultDataRef()

  Returns:
    a DataRef object specifiying the default data reference for the movie.
  See Also:
    `Movie.getDefaultDataRef()`

### fromSequenceGrabber

    public static DataRef fromSequenceGrabber(SequenceGrabber sg)
                                       throws StdQTException

  Determines the data reference that is currently assigned to a sequence grabber component.
  QuickTime::SGGetDataRef

  Returns:
    the dataRef
  See Also:
    `SequenceGrabber.getDataRef()`

### fromMedia

    public static DataRef fromMedia(Media m,
                                    int index)
                             throws QTException

  This method returns a copy of a specified data reference.
  QuickTime::GetMediaDataRef()

  Parameters:
    `index` - Identifies the data reference.
  Returns:
    a copy of a specified data reference.
  See Also:
    `Media.getDataRef(int)`

### fromSGOutput

    public static DataRef fromSGOutput(SequenceGrabber sg,
                                       SGOutput output)
                                throws StdQTException

QuickTime::SGGetOutputDataReference(

  Parameters:
    `sg` - the sequence grabber that owns this output
    `output` - the output from which to get the data ref from
  Returns:
    the data reference associated with this sequence grabber output.

### getType

    public int getType()

  This method returns the data reference type.
  Returns:
    the data reference type.

### getAttributes

    public int getAttributes()

  This method returns the data reference attributes.
  Returns:
    the data reference attributes.

### getUniversalResourceLocator

    public java.lang.String getUniversalResourceLocator()
                                                 throws QTException

  Returns a string representating the location of this object. If the DataRef points to a File or URL the path will be printed, if not then an empty string is returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD